# srndcipher

A simple way to encode plain text, keeps the result sortable and partly searchable.

## Install

```shell
pip install srndcipher
```

## Usage

```
import os
import srndcipher

cipher1 = srndcipher.SrndCipher(password="Your password")
data1 = os.urandom(1024)
data2 = cipher1.encrypt(data1)
data3 = cipher1.decrypt(data2)
assert data1 == data3

cipher2 = srndcipher.SrndCipher(password="Your password", force_text=True)
data1 = "your plain message"
data2 = cipher2.encrypt(data1)
data3 = cipher2.decrypt(data2)
assert data1 == data3
```

## Notice

- SrndCipher instance init takes about 0.6 second time, so try to keep the instance reusable.

## Releases

### v0.5.0

- First relase.

### v0.6.2

- Set SrndCipher.default_result_encoder to cipherutils.Utf8Encoder().
- Works with fastutils>=0.42.11.
